This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### textMode()
Examples |
    import processing.pdf.*;

    void setup() {
      size(500, 500, PDF, "TypeDemo.pdf");
      textMode(SHAPE);
      textSize(180);
    }

    void draw() {
      text("ABC", 75, 350);
      exit();  // Quit the program
    }
Description | Sets the way text draws to the screen, either as texture maps or as vector geometry. The default textMode(MODEL), uses textures to render the fonts. The textMode(SHAPE) mode draws text using the glyph outlines of individual characters rather than as textures. This mode is only supported with the PDF and P3D renderer settings. With the PDF renderer, you must call textMode(SHAPE) before any other drawing occurs. If the outlines are not available, then textMode(SHAPE) will be ignored and textMode(MODEL) will be used instead. The textMode(SHAPE) option in P3D can be combined with beginRaw() to write vector-accurate text to 2D and 3D output files, for instance DXF or PDF. The SHAPE mode is not currently optimized for P3D, so if recording shape data, use textMode(MODEL) until you're ready to capture the geometry with beginRaw().
Syntax |
    textMode(mode)
Parameters |
mode | int: either MODEL or SHAPE
Returns | void
Related | loadFont() text() textFont() beginRaw() createFont()

Updated on October 26, 2013 08:58:31pm PDT